"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const index = require("./ui/index.js");
const zhCN = require("./language/zh-CN.js");
const index$1 = require("./alert/index.js");
const index$2 = require("./anchor/index.js");
const index$3 = require("./anchor-link/index.js");
const index$4 = require("./avatar/index.js");
const index$5 = require("./backtop/index.js");
const index$6 = require("./badge/index.js");
const index$7 = require("./breadcrumb/index.js");
const index$8 = require("./breadcrumb-item/index.js");
const index$9 = require("./button/index.js");
const index$a = require("./button-group/index.js");
const index$b = require("./calendar/index.js");
const index$c = require("./card/index.js");
const index$d = require("./carousel/index.js");
const index$e = require("./carousel-item/index.js");
const index$f = require("./cascader/index.js");
const index$g = require("./checkbox/index.js");
const index$h = require("./checkbox-button/index.js");
const index$i = require("./checkbox-group/index.js");
const index$j = require("./col/index.js");
const index$k = require("./collapse/index.js");
const index$l = require("./collapse-pane/index.js");
const index$m = require("./color-picker/index.js");
const index$n = require("./context-menu/index.js");
const index$o = require("./countdown/index.js");
const index$p = require("./date-panel/index.js");
const index$q = require("./date-picker/index.js");
const index$r = require("./date-range-picker/index.js");
const index$s = require("./drawer/index.js");
const index$t = require("./empty/index.js");
const index$u = require("./form/index.js");
const index$v = require("./form-gather/index.js");
const index$w = require("./form-group/index.js");
const index$x = require("./form-item/index.js");
const index$y = require("./icon/index.js");
const index$z = require("./icon-picker/index.js");
const index$A = require("./image/index.js");
const index$B = require("./image-group/index.js");
const index$C = require("./image-preview/index.js");
const index$D = require("./input/index.js");
const index$E = require("./layout-aside/index.js");
const index$F = require("./layout-body/index.js");
const index$G = require("./layout-container/index.js");
const index$H = require("./layout-footer/index.js");
const index$I = require("./layout-header/index.js");
const index$J = require("./link/index.js");
const index$K = require("./list/index.js");
const index$L = require("./loading/index.js");
const index$M = require("./menu/index.js");
const index$N = require("./modal/index.js");
const index$O = require("./notice-bar/index.js");
const index$P = require("./number-input/index.js");
const index$Q = require("./optgroup/index.js");
const index$R = require("./option/index.js");
const index$S = require("./pager/index.js");
const index$T = require("./password-input/index.js");
const index$U = require("./print-page-break/index.js");
const index$V = require("./print/index.js");
const index$W = require("./pulldown/index.js");
const index$X = require("./radio/index.js");
const index$Y = require("./radio-button/index.js");
const index$Z = require("./radio-group/index.js");
const index$_ = require("./rate/index.js");
const index$$ = require("./result/index.js");
const index$10 = require("./row/index.js");
const index$11 = require("./segmented/index.js");
const index$12 = require("./select/index.js");
const index$13 = require("./splitter/index.js");
const index$14 = require("./splitter-panel/index.js");
const index$15 = require("./split/index.js");
const index$16 = require("./split-pane/index.js");
const index$17 = require("./slider/index.js");
const index$18 = require("./steps/index.js");
const index$19 = require("./switch/index.js");
const index$1a = require("./tab-pane/index.js");
const index$1b = require("./table-select/index.js");
const index$1c = require("./tabs/index.js");
const index$1d = require("./tag/index.js");
const index$1e = require("./text-ellipsis/index.js");
const index$1f = require("./text/index.js");
const index$1g = require("./textarea/index.js");
const index$1h = require("./timeline/index.js");
const index$1i = require("./timeline-item/index.js");
const index$1j = require("./tip/index.js");
const index$1k = require("./tooltip/index.js");
const index$1l = require("./tour/index.js");
const index$1m = require("./tree/index.js");
const index$1n = require("./tree-select/index.js");
const index$1o = require("./upload/index.js");
const index$1p = require("./watermark/index.js");
const util$1 = require("./upload/src/util.js");
const util = require("./print/src/util.js");
const index_esm = require("../../@vxe-ui/core/es/index.esm.js");
const core = require("../../@vxe-ui/core/es/src/core.js");
const event = require("../../@vxe-ui/core/es/src/event.js");
const resize = require("../../@vxe-ui/core/es/src/resize.js");
const config = require("../../@vxe-ui/core/es/src/config.js");
const i18n = require("../../@vxe-ui/core/es/src/i18n.js");
const icon = require("../../@vxe-ui/core/es/src/icon.js");
const theme = require("../../@vxe-ui/core/es/src/theme.js");
const renderer = require("../../@vxe-ui/core/es/src/renderer.js");
const validators = require("../../@vxe-ui/core/es/src/validators.js");
const menus = require("../../@vxe-ui/core/es/src/menus.js");
const formats = require("../../@vxe-ui/core/es/src/formats.js");
const commands = require("../../@vxe-ui/core/es/src/commands.js");
const interceptor = require("../../@vxe-ui/core/es/src/interceptor.js");
const clipboard = require("../../@vxe-ui/core/es/src/clipboard.js");
const permission = require("../../@vxe-ui/core/es/src/permission.js");
const dataStore = require("../../@vxe-ui/core/es/src/dataStore.js");
const useFns = require("../../@vxe-ui/core/es/src/useFns.js");
const vm = require("../../@vxe-ui/core/es/src/vm.js");
const log = require("../../@vxe-ui/core/es/src/log.js");
const hooks = require("../../@vxe-ui/core/es/src/hooks.js");
const { setI18n, setLanguage, setTheme, setConfig } = index_esm.VxeUI;
const components = [
  index$1.VxeAlert,
  index$2.VxeAnchor,
  index$3.VxeAnchorLink,
  index$4.VxeAvatar,
  index$5.VxeBacktop,
  index$6.VxeBadge,
  index$7.VxeBreadcrumb,
  index$8.VxeBreadcrumbItem,
  index$9.VxeButton,
  index$a.VxeButtonGroup,
  index$b.VxeCalendar,
  index$c.VxeCard,
  index$d.VxeCarousel,
  index$e.VxeCarouselItem,
  index$f.VxeCascader,
  index$g.VxeCheckbox,
  index$h.VxeCheckboxButton,
  index$i.VxeCheckboxGroup,
  index$j.VxeCol,
  index$k.VxeCollapse,
  index$l.VxeCollapsePane,
  index$m.VxeColorPicker,
  index$n.VxeContextMenu,
  index$o.VxeCountdown,
  index$p.VxeDatePanel,
  index$q.VxeDatePicker,
  index$r.VxeDateRangePicker,
  index$s.VxeDrawer,
  index$t.VxeEmpty,
  index$u.VxeForm,
  index$v.VxeFormGather,
  index$w.VxeFormGroup,
  index$x.VxeFormItem,
  index$y.VxeIcon,
  index$z.VxeIconPicker,
  index$A.VxeImage,
  index$B.VxeImageGroup,
  index$C.VxeImagePreview,
  index$D.VxeInput,
  index$E.VxeLayoutAside,
  index$F.VxeLayoutBody,
  index$G.VxeLayoutContainer,
  index$H.VxeLayoutFooter,
  index$I.VxeLayoutHeader,
  index$J.VxeLink,
  index$K.VxeList,
  index$L.VxeLoading,
  index$M.VxeMenu,
  index$N.VxeModal,
  index$O.VxeNoticeBar,
  index$P.VxeNumberInput,
  index$Q.VxeOptgroup,
  index$R.VxeOption,
  index$S.VxePager,
  index$T.VxePasswordInput,
  index$U.VxePrintPageBreak,
  index$V.VxePrint,
  index$W.VxePulldown,
  index$X.VxeRadio,
  index$Y.VxeRadioButton,
  index$Z.VxeRadioGroup,
  index$_.VxeRate,
  index$$.VxeResult,
  index$10.VxeRow,
  index$11.VxeSegmented,
  index$12.VxeSelect,
  index$13.VxeSplitter,
  index$14.VxeSplitterPanel,
  index$15.VxeSplit,
  index$16.VxeSplitPane,
  index$17.VxeSlider,
  index$18.VxeSteps,
  index$19.VxeSwitch,
  index$1a.VxeTabPane,
  index$1b.VxeTableSelect,
  index$1c.VxeTabs,
  index$1d.VxeTag,
  index$1e.VxeTextEllipsis,
  index$1f.VxeText,
  index$1g.VxeTextarea,
  index$1h.VxeTimeline,
  index$1i.VxeTimelineItem,
  index$1j.VxeTip,
  index$1k.VxeTooltip,
  index$1l.VxeTour,
  index$1m.VxeTree,
  index$1n.VxeTreeSelect,
  index$1o.VxeUpload,
  index$1p.VxeWatermark
];
function install(app, options) {
  setConfig(options);
  components.forEach((component) => app.use(component));
}
const defaultLanguage = "zh-CN";
setI18n(defaultLanguage, zhCN.default);
setLanguage(defaultLanguage);
setTheme("light");
const loading = index$L.LoadingController;
const modal = index$N.ModalController;
const drawer = index$s.DrawerController;
const watermark = index$1p.WatermarkController;
const print = util.printHtml;
const saveFile = util$1.saveLocalFile;
const readFile = util$1.readLocalFile;
exports.config = index.config;
exports.setup = index.setup;
exports.version = index.version;
exports.Alert = index$1.Alert;
exports.VxeAlert = index$1.VxeAlert;
exports.Anchor = index$2.Anchor;
exports.VxeAnchor = index$2.VxeAnchor;
exports.AnchorLink = index$3.AnchorLink;
exports.VxeAnchorLink = index$3.VxeAnchorLink;
exports.Avatar = index$4.Avatar;
exports.VxeAvatar = index$4.VxeAvatar;
exports.Backtop = index$5.Backtop;
exports.VxeBacktop = index$5.VxeBacktop;
exports.Badge = index$6.Badge;
exports.VxeBadge = index$6.VxeBadge;
exports.Breadcrumb = index$7.Breadcrumb;
exports.VxeBreadcrumb = index$7.VxeBreadcrumb;
exports.BreadcrumbItem = index$8.BreadcrumbItem;
exports.VxeBreadcrumbItem = index$8.VxeBreadcrumbItem;
exports.Button = index$9.Button;
exports.VxeButton = index$9.VxeButton;
exports.ButtonGroup = index$a.ButtonGroup;
exports.VxeButtonGroup = index$a.VxeButtonGroup;
exports.Calendar = index$b.Calendar;
exports.VxeCalendar = index$b.VxeCalendar;
exports.Card = index$c.Card;
exports.VxeCard = index$c.VxeCard;
exports.Carousel = index$d.Carousel;
exports.VxeCarousel = index$d.VxeCarousel;
exports.CarouselItem = index$e.CarouselItem;
exports.VxeCarouselItem = index$e.VxeCarouselItem;
exports.Cascader = index$f.Cascader;
exports.VxeCascader = index$f.VxeCascader;
exports.Checkbox = index$g.Checkbox;
exports.VxeCheckbox = index$g.VxeCheckbox;
exports.CheckboxButton = index$h.CheckboxButton;
exports.VxeCheckboxButton = index$h.VxeCheckboxButton;
exports.CheckboxGroup = index$i.CheckboxGroup;
exports.VxeCheckboxGroup = index$i.VxeCheckboxGroup;
exports.Col = index$j.Col;
exports.VxeCol = index$j.VxeCol;
exports.Collapse = index$k.Collapse;
exports.VxeCollapse = index$k.VxeCollapse;
exports.CollapsePane = index$l.CollapsePane;
exports.VxeCollapsePane = index$l.VxeCollapsePane;
exports.ColorPicker = index$m.ColorPicker;
exports.VxeColorPicker = index$m.VxeColorPicker;
exports.ContextMenu = index$n.ContextMenu;
exports.ContextMenuController = index$n.ContextMenuController;
exports.VxeContextMenu = index$n.VxeContextMenu;
exports.Countdown = index$o.Countdown;
exports.VxeCountdown = index$o.VxeCountdown;
exports.DatePanel = index$p.DatePanel;
exports.VxeDatePanel = index$p.VxeDatePanel;
exports.DatePicker = index$q.DatePicker;
exports.VxeDatePicker = index$q.VxeDatePicker;
exports.DateRangePicker = index$r.DateRangePicker;
exports.VxeDateRangePicker = index$r.VxeDateRangePicker;
exports.Drawer = index$s.Drawer;
exports.DrawerController = index$s.DrawerController;
exports.VxeDrawer = index$s.VxeDrawer;
exports.Empty = index$t.Empty;
exports.VxeEmpty = index$t.VxeEmpty;
exports.Form = index$u.Form;
exports.VxeForm = index$u.VxeForm;
exports.FormGather = index$v.FormGather;
exports.VxeFormGather = index$v.VxeFormGather;
exports.FormGroup = index$w.FormGroup;
exports.VxeFormGroup = index$w.VxeFormGroup;
exports.FormItem = index$x.FormItem;
exports.VxeFormItem = index$x.VxeFormItem;
exports.Icon = index$y.Icon;
exports.VxeIcon = index$y.VxeIcon;
exports.IconPicker = index$z.IconPicker;
exports.VxeIconPicker = index$z.VxeIconPicker;
exports.Image = index$A.Image;
exports.VxeImage = index$A.VxeImage;
exports.ImageGroup = index$B.ImageGroup;
exports.VxeImageGroup = index$B.VxeImageGroup;
exports.ImagePreview = index$C.ImagePreview;
exports.VxeImagePreview = index$C.VxeImagePreview;
exports.Input = index$D.Input;
exports.VxeInput = index$D.VxeInput;
exports.LayoutAside = index$E.LayoutAside;
exports.VxeLayoutAside = index$E.VxeLayoutAside;
exports.LayoutBody = index$F.LayoutBody;
exports.VxeLayoutBody = index$F.VxeLayoutBody;
exports.LayoutContainer = index$G.LayoutContainer;
exports.VxeLayoutContainer = index$G.VxeLayoutContainer;
exports.LayoutFooter = index$H.LayoutFooter;
exports.VxeLayoutFooter = index$H.VxeLayoutFooter;
exports.LayoutHeader = index$I.LayoutHeader;
exports.VxeLayoutHeader = index$I.VxeLayoutHeader;
exports.Link = index$J.Link;
exports.VxeLink = index$J.VxeLink;
exports.List = index$K.List;
exports.VxeList = index$K.VxeList;
exports.Loading = index$L.Loading;
exports.LoadingController = index$L.LoadingController;
exports.VxeLoading = index$L.VxeLoading;
exports.Menu = index$M.Menu;
exports.VxeMenu = index$M.VxeMenu;
exports.Modal = index$N.Modal;
exports.ModalController = index$N.ModalController;
exports.VxeModal = index$N.VxeModal;
exports.NoticeBar = index$O.NoticeBar;
exports.VxeNoticeBar = index$O.VxeNoticeBar;
exports.NumberInput = index$P.NumberInput;
exports.VxeNumberInput = index$P.VxeNumberInput;
exports.Optgroup = index$Q.Optgroup;
exports.VxeOptgroup = index$Q.VxeOptgroup;
exports.Option = index$R.Option;
exports.VxeOption = index$R.VxeOption;
exports.Pager = index$S.Pager;
exports.VxePager = index$S.VxePager;
exports.PasswordInput = index$T.PasswordInput;
exports.VxePasswordInput = index$T.VxePasswordInput;
exports.PrintPageBreak = index$U.PrintPageBreak;
exports.VxePrintPageBreak = index$U.VxePrintPageBreak;
exports.Print = index$V.Print;
exports.VxePrint = index$V.VxePrint;
exports.Pulldown = index$W.Pulldown;
exports.VxePulldown = index$W.VxePulldown;
exports.Radio = index$X.Radio;
exports.VxeRadio = index$X.VxeRadio;
exports.RadioButton = index$Y.RadioButton;
exports.VxeRadioButton = index$Y.VxeRadioButton;
exports.RadioGroup = index$Z.RadioGroup;
exports.VxeRadioGroup = index$Z.VxeRadioGroup;
exports.Rate = index$_.Rate;
exports.VxeRate = index$_.VxeRate;
exports.Result = index$$.Result;
exports.VxeResult = index$$.VxeResult;
exports.Row = index$10.Row;
exports.VxeRow = index$10.VxeRow;
exports.Segmented = index$11.Segmented;
exports.VxeSegmented = index$11.VxeSegmented;
exports.Select = index$12.Select;
exports.VxeSelect = index$12.VxeSelect;
exports.Splitter = index$13.Splitter;
exports.VxeSplitter = index$13.VxeSplitter;
exports.SplitterPanel = index$14.SplitterPanel;
exports.VxeSplitterPanel = index$14.VxeSplitterPanel;
exports.Split = index$15.Split;
exports.VxeSplit = index$15.VxeSplit;
exports.SplitPane = index$16.SplitPane;
exports.VxeSplitPane = index$16.VxeSplitPane;
exports.Slider = index$17.Slider;
exports.VxeSlider = index$17.VxeSlider;
exports.Steps = index$18.Steps;
exports.VxeSteps = index$18.VxeSteps;
exports.Switch = index$19.Switch;
exports.VxeSwitch = index$19.VxeSwitch;
exports.TabPane = index$1a.TabPane;
exports.VxeTabPane = index$1a.VxeTabPane;
exports.TableSelect = index$1b.TableSelect;
exports.VxeTableSelect = index$1b.VxeTableSelect;
exports.Tabs = index$1c.Tabs;
exports.VxeTabs = index$1c.VxeTabs;
exports.Tag = index$1d.Tag;
exports.VxeTag = index$1d.VxeTag;
exports.TextEllipsis = index$1e.TextEllipsis;
exports.VxeTextEllipsis = index$1e.VxeTextEllipsis;
exports.Text = index$1f.Text;
exports.VxeText = index$1f.VxeText;
exports.Textarea = index$1g.Textarea;
exports.VxeTextarea = index$1g.VxeTextarea;
exports.Timeline = index$1h.Timeline;
exports.VxeTimeline = index$1h.VxeTimeline;
exports.TimelineItem = index$1i.TimelineItem;
exports.VxeTimelineItem = index$1i.VxeTimelineItem;
exports.Tip = index$1j.Tip;
exports.Tips = index$1j.Tips;
exports.VxeTip = index$1j.VxeTip;
exports.Tooltip = index$1k.Tooltip;
exports.VxeTooltip = index$1k.VxeTooltip;
exports.Tour = index$1l.Tour;
exports.VxeTour = index$1l.VxeTour;
exports.Tree = index$1m.Tree;
exports.VxeTree = index$1m.VxeTree;
exports.TreeSelect = index$1n.TreeSelect;
exports.VxeTreeSelect = index$1n.VxeTreeSelect;
exports.Upload = index$1o.Upload;
exports.VxeUpload = index$1o.VxeUpload;
exports.VxeWatermark = index$1p.VxeWatermark;
exports.Watermark = index$1p.Watermark;
exports.WatermarkController = index$1p.WatermarkController;
exports.VxeUI = index_esm.VxeUI;
exports.checkVersion = index_esm.checkVersion;
exports.component = index_esm.component;
exports.getComponent = index_esm.getComponent;
exports.hasComponent = index_esm.hasComponent;
exports.renderEmptyElement = index_esm.renderEmptyElement;
exports.use = index_esm.use;
exports.VxeCore = core.VxeCore;
exports.coreVersion = core.coreVersion;
exports.GLOBAL_EVENT_KEYS = event.GLOBAL_EVENT_KEYS;
exports.createEvent = event.createEvent;
exports.globalEvents = event.globalEvents;
exports.globalResize = resize.globalResize;
exports.getConfig = config.getConfig;
exports.setConfig = config.setConfig;
exports.getI18n = i18n.getI18n;
exports.getLanguage = i18n.getLanguage;
exports.hasLanguage = i18n.hasLanguage;
exports.setI18n = i18n.setI18n;
exports.setLanguage = i18n.setLanguage;
exports.getIcon = icon.getIcon;
exports.renderCustomIcon = icon.renderCustomIcon;
exports.renderGlobalIcon = icon.renderGlobalIcon;
exports.setIcon = icon.setIcon;
exports.getTheme = theme.getTheme;
exports.setTheme = theme.setTheme;
exports.renderer = renderer.renderer;
exports.validators = validators.validators;
exports.menus = menus.menus;
exports.formats = formats.formats;
exports.commands = commands.commands;
exports.interceptor = interceptor.interceptor;
exports.clipboard = clipboard.clipboard;
exports.handleCheckInfo = permission.handleCheckInfo;
exports.permission = permission.permission;
exports.globalStore = dataStore.globalStore;
exports.useFns = useFns.useFns;
exports.usePermission = useFns.usePermission;
exports.useSize = useFns.useSize;
exports.getSlotVNs = vm.getSlotVNs;
exports.log = log.log;
exports.hooks = hooks.hooks;
exports.drawer = drawer;
exports.install = install;
exports.loading = loading;
exports.modal = modal;
exports.print = print;
exports.readFile = readFile;
exports.saveFile = saveFile;
exports.watermark = watermark;
